## Contributing

* **New contributors** ([contributors.md](https://github.com/kubernetes/minikube/blob/master/CONTRIBUTING.md)): Process for new contributors, CLA instructions

* **Roadmap** ([roadmap.md](roadmap.md)): The roadmap for future minikube development

## New Features and Dependencies
* **Adding a dependency** ([adding_a_dependency.md](adding_a_dependency.md)): How to add or update vendored code

* **Adding a new addon** ([adding_an_addon.md](adding_an_addon.md)): How to add a new addon to minikube for `minikube addons`

* **Adding a new driver** ([adding_driver.md](adding_driver.md)): How to add a new driver to minikube for `minikube create --vm-driver=<driver>`

## Building and Releasing
* **Build Guide** ([build_guide.md](build_guide.md)): How to build minikube from source

* **ISO Build Guide** ([minikube_iso.md](minikube_iso.md)): How to build and hack on the ISO image that minikube uses

* **CI Builds** ([ci_builds.md](./ci_builds.md)): Accessing CI build artifacts from Jenkins

* **Releasing minikube** ([releasing_minikube.md](releasing_minikube.md)): Steps to release a new version of minikube
